Skip to main content
GET
/
v1
/
ces
List the CES responses of the caller company
curl --request GET \
  --url https://clientapi.woku.app/v1/ces \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "score": 3,
      "anonymous": true,
      "cesToolId": "<string>",
      "clientId": "<string>",
      "responseChannel": "<string>",
      "description": "<string>",
      "transcription": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123
}

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Query Parameters

cesToolId
string
from
string<date>

Inclusive lower bound on createdAt.

to
string<date>

Inclusive upper bound on createdAt.

withFeedback
boolean

true returns only responses with a text or voice comment.

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated CES responses

data
object[]
total
integer
page
integer
limit
integer